Bug 1003214 - collapsed windows can not be uncollapsed
collapsed windows can not be uncollapsed
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Depends On:
  Show dependency treegraph
Reported: 2013-08-31 18:10 EDT by mordred
Modified: 2013-09-08 11:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-08 11:35:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mordred 2013-08-31 18:10:55 EDT
Description of problem:
windows in the desktop collapse for unknown reasons.

collapsed windows can not be uncollapsed - that is, touching the lower edge with the pointer, getting the arrow-bar thing, pulling down does not work to uncollapse the window.

this can happen to any open window, including, but not limited to, terminal and browser windows.

a collapsed window is unusable and any state it contained is lost.

note the machine in question is a hp2000 notebook with touchpad.

Version-Release number of selected component (if applicable):

How reproducible:
windows collapse suddenly through ordinary usage on the desktop - that is, typing in a window, moving the pointer in a window or around on the desktop, pressing the touchpad buttons, or accessing a window or desktop menu or button.

i do not understand yet what is causing windows to collapse, but it happens frequently.

Steps to Reproduce:
1. open terminal window.
2. cause window to collapse.
3. try to uncollapse the window.

Actual results:
desktop windows do not allow to uncollapse.

Expected results:
desktop windows should uncollapse.

Additional info:
Comment 1 Kevin Fenzi 2013-09-01 12:10:10 EDT
So "collapsed" windows just show their title bar? Or disappear entirely?

If just the titlebar if you right click on them and select "Roll window down" does it come back?
Comment 2 mordred 2013-09-02 13:37:31 EDT
collapsed windows show the titlebar only - not the body or the control bar.

right click on titlebar - "roll window down" uncollapses the window, so the control bar and body are accessible.

1. why does touching the lower edge with the pointer and dragging down not work?

2. why the frequent sudden collapsing of windows in the first place?
Comment 3 Kevin Fenzi 2013-09-02 13:59:03 EDT
1. Window shading is not the same as resizing it. 

2. What does: 
xfconf-query -c xfwm4 -p /general/mousewheel_rollup
show? Thats the only thing I can think of... if that is true it will shade windows when you are have the mouse pointer on their titlebar and change the mousewheel up or down (or side of trackpad). 

Does setting it to false: 
xfconf-query -c xfwm4 -p /general/mousewheel_rollup -s false
Comment 4 mordred 2013-09-03 09:07:16 EDT
$ xfconf-query -c xfwm4 -p /general/mousewheel_rollup
Failed to init libxfconf: Did not receive a reply. Possible causes include: the
remote application did not send a reply, the message bus security policy blocked
the reply, the reply timeout expired, or the network connection was broken..

Comment 5 Kevin Fenzi 2013-09-03 12:50:39 EDT
Strange, xfconfd should be running. 

How are you logging into Xfce?
Comment 6 mordred 2013-09-04 10:13:54 EDT
$ps -e | grep -e xfconf
1157  ?       00:00:00 xfconfd
$ps -e | grep -e xfce
1028  ?       00:00:00 xfce4-session
1036  ?       00:00:55 xfce4-panel
1069  ?       00:00:09 xfce4-terminal
1073  ?       00:00:00 xfce4-power-man

i do not understand what "log into xfce" means.

i log into linux with the login box on the screen at bootup.

what is missing from this system and why?

i have looked through /var/log/anaconda.

there is nothing obviously wrong, but i do not know what to look for.
Comment 7 Kevin Fenzi 2013-09-04 12:24:08 EDT
Strange, if xfconfd is running you should be able to talk to it via xfconf-query. 

This is on a livecd? Or an installed system? 

Can you provide: 

rpm -q xfconf 


loginctl -a


uname -a
Comment 8 mordred 2013-09-04 13:19:55 EDT
this bug pertains to Fedora installed on an hp2000 notebook.

the install cd was burned from this image:
size: 651165696

[root@localhost]# rpm -q xfconf
[root@localhost]# loginctl -a
   SESSION        UID USER            SEAT
         1       1000 nim             seat0

1 sessions listed.
[root@localhost]# uname -a
Linux localhost.localdomain 3.9.5-301.fc19.x86_64 #1 SMP Tue Jun 11 19:39:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 9 Kevin Fenzi 2013-09-05 17:27:46 EDT
Weird. I don't understand why the xfconf run from comment #4 isn't working for you. ;( 

Have you applied all updates and rebooted since then?
Comment 10 mordred 2013-09-06 11:09:44 EDT
are you suggesting the spin is incomplete or defective with respect to some capability?

there are no updates on this system.

i have no way - that i know of - to get updates, since i am so far unable to make network connections - see Red Hat Bugzilla bug 1003082.

i make communications regarding this bug on another machine.
Comment 11 Kevin Fenzi 2013-09-07 14:14:52 EDT
(In reply to mordred from comment #10)
> are you suggesting the spin is incomplete or defective with respect to some
> capability?

No, I was wondering if there was an update that was causing issues... 
> there are no updates on this system.

> i have no way - that i know of - to get updates, since i am so far unable to
> make network connections - see Red Hat Bugzilla bug 1003082.
> i make communications regarding this bug on another machine.

Fair enough. 

To clarify, did you run the xfconf-query command in comment #4 as root? or as your logged in user?
It does need to run as your user...
Comment 12 mordred 2013-09-08 10:13:36 EDT
xfconf-query i ran su to root - my fault.


[nim@localhost]# xfconf-query -c xfwm4 -p /general/mousewheel_rollup

[nim@localhost]# xfconf-query -c xfwm4 -p /general/mousewheel_rollup -s false

[nim@localhost]# xfconf-query -c xfwm4 -p /general/mousewheel_rollup

it does help - for a brief period no collapses.

this bug may be closed - but nevertheless, it is not good for xfce to collapse windows willy-nilly, regardless of which way /general/mousewheel_rollup is set.

is there a keyboard shortcut that was being invoked?
Comment 13 Kevin Fenzi 2013-09-08 11:35:24 EDT
Well, the upstream default is to roll up windows on mousewheel scroll on title bar... most folks don't seem to have any issues with this, but it seems it hit your usage pattern a lot more somehow. 

So, hopefully that setting will get things back to somewhat normal for you...

Note You need to log in before you can comment on or make changes to this bug.